%%%%%%%%%%%%%%%%%%%%%%%%%%  Color plot of AO  %%%%%%%%%%%%%%%

clear

load /home/disk/tao/dvimont/matlab/Wallace/AO_regmaps.mat

%  Start with a tall window
figure_tall(1); clf;  %  Opens a tall figure on the screen.

%  Define subplot properties:
global_axes(5, 6, 1, 1.5);

%  Define X and Y axes
global_latlon(lat, lon, [0 360 20 90]);

%  Set up subplot, and map axis
subplot2(1, 1); cla;
map_axis('stereo', [90 0]);  %  Set origin to 90N, 0E

%  Start by shading temperature
map_surface_interp(regmap2, -0.5*ones(size(regmap2)));
caxis([-1 1]);

%  Contour SLP over the top
hold on;
  [c, h] = map_contour_pn(regmap1, 0.75);
hold off;
set(h, 'linewidth', 2);

%  Fill in over the oceans with white
hh2 = fill_oceanmap(-0.25, 'w');

%  Draw continents in
draw_landmap

%  Add grid lines and clean up
gridm on;
framem;
tightmap;
set(gca, 'visible', 'off');

%  Add a title, and some labels
title('\bf NAM Regressions:  SLP (contours), SAT (shading)', ...
      'visible', 'on', 'fontsize', 10);
xlabel('Contours:  SLP (0.75 hPa std^-^1)', 'visible', 'on', ...
       'fontsize', 9);

%  Add a colorbar:
cb = colorbar2('h');
axes(cb);
xlabel('Shading:  SAT (\circC std^-^1)', 'fontsize', 9);

cd ~/matlab/Wallace/Figs
print -dpsc2 AO_regs.ps
