function global_figs(hsz1, vsz1, midh1, midv1, tmarg1);
%
%  global_figs(hsz, vsz, midh, midv, tmarg):  
%  
%  defines hsz and vsz (in inches),
%  and scales them appropriately for the current figure
%  window.
%

global HSZ VSZ TMARG MIDH MIDV

sz = get(gcf, 'PaperSize'); 
hw = 1/sz(1); vw = 1/sz(2);

if strcmp(orient, 'landscape');
  if nargin < 5; tmarg1 = 1.5; end;
  if nargin < 4; midv1 = 0.5; end;
  if nargin < 3; midh1 = 0.0; end;
  if nargin < 2; vsz1 = 2.5; end;
  if nargin == 0; hsz1 = 6; end;
else
  if nargin < 5; tmarg1 = 1.0; end;
  if nargin < 4; midv1 = 0.0; end;
  if nargin < 3; midh1 = 0.0; end;
  if nargin < 2; vsz1 = 1.5; end;
  if nargin == 0; hsz1 = 2.75; end;
end

HSZ = hsz1*hw;
VSZ = vsz1*vw;
MIDH = midh1*hw;
MIDV = midv1*vw;
TMARG = tmarg1*vw;
 
