function h=gshade(var, clev);
%
%  function h=gshade(var, clev)
%
%  This function contours the variable 'var' over
%  the global grid, with levels specified by clev,
%  (use 0 for default) and axis limits [0 360 -90 90]
%  unless otherwise specified with flim.
%

get_global

var = squeeze(var);

if isscalar(clev);
  clev = sort([min(min(var)):clev:max(max(var))]);
end

[xk, yk] = keep_var(FRAME, XAX, YAX);

% set axis parameters:
if nargin < 2; 
  clev = 10;
end 

flim = FRAME;

% mess with var:
if (flim(2)-flim(1))>=360.; 
  if size(XAX, 2) == 1;
    XAX2 = [XAX; XAX(1)+360.]; 
  else
    XAX2 = [XAX XAX(1)+360.];
  end
  YAX2 = YAX(yk);
  var = [var(yk,:) var(yk,1)];
else
  XAX2 = XAX(xk);
  YAX2 = YAX(yk);
  var = var(yk, xk);
end;
% contour var:
contourf2(XAX2, YAX2, var, clev, ['k']);
axis(FRAME)
%shading flat
