function h=gvect(var1, var2, flim, clev);
%function h=gcont(var1, var2, flim, clev)
%
%  This function vectors the variables 'var1' and 'var2' over
%  the global grid, with levels specified by clev,
%  (use 0 for default) and axis limits [0 360 -90 90]
%  unless otherwise specified with flim.

% set axis parameters:
if nargin == 2; flim=[0 360 -90 90]; end;
if flim==0; flim=[0 360 -90 90]; end;
if nargin == 3; clev=' '; end;

% set axis ticks
[m,n]=size(var1);
if (flim(2)-flim(1))==360.; n=n+1; end;
xtic=(flim(2)-flim(1))/(n-1);
ytic=(flim(4)-flim(3))/(m-1);

% define axes:
xax=[flim(1):xtic:flim(2)];
yax=[flim(3):ytic:flim(4)];

% mess with var:
if (flim(2)-flim(1))==360.; var=[var var(:,1)]; end;

% contour var:
if strcmp(clev, ' ');
quiver(xax, yax, var1, var2);
else;
quiver(xax, yax, var1, var2, clev);
end;
