function h=gcont(var1, var2, flim, clev);
%
%  function h=gcont(var1, var2, flim, clev)
%
%  This function quivers the variables 'var1, var2' over
%  the global grid, with levels specified by clev,
%  (use 0 for default) and axis limits [0 360 -90 90]
%  unless otherwise specified with flim.
%

get_global

% set axis parameters:
if nargin < 3; 
  flim = FRAME;
  clev = 10;
elseif nargin < 4;
  clev = flim;
  flim = FRAME;
end;

% mess with var:
if (flim(2)-flim(1))==360.; 
  if size(XAX, 2) == 1;
    XAX2 = [XAX; XAX(1)+360.]; 
  else
    XAX2 = [XAX XAX(1)+360.];
  end
  var1 = [var1 var1(:,1)];
  var2 = [var2 var2(:,1)];
end;

% contour var:
quiver(XAX2, YAX, var1, var2, clev);
axis(FRAME)
