function h = hline ( y, linetype, x, zdat ) ;
% function h = hline ( y, linetype, x, zdat ) ;
%
% simple function to draw a vertical line across a given y-coorinate
 
%---------------------------------------------- Alexis Lau (May 1991)

% push_hold(TRUE);

if ( nargin < 2 ); linetype = '-'; end;
if ( nargin < 4 ); zdat = [zeros(length(y), 1) zeros(length(y), 1)]; end;

if ismap(gca);
  if ( nargin < 3 ); x = getm(gca,'maplonlimit'); end;
  for i = 1 : length(y);
    h(i) = plot3m(x,[y(i) y(i)],zdat(i,:),linetype);
    set(h(i), 'LineWidth', 0.5);
  end;
else
  if ( nargin < 3 ); x = get(gca,'xlim'); end;
  for i = 1 : length(y);
    h(i) = plot3(x,[y(i) y(i)],zdat(i,:),linetype);
    set(h(i), 'LineWidth', 0.5);
  end;
end

% pop_hold;
