function q = quiver_label(u,scale,xtext,ytext,xarrow,type)

% USAGE: quiver_label(U,scale,xtext,ytext,xarrow,type)
%
% Puts a "scale" vector on a map 
%
% U = magnitude of scale vector
% scale = scale of vectors plotted
% xtext = left position of text
% ytext = y-position of text and scale vector
% xarrow = left position of scale vector
% type = arrow parameters (from quiver)
%
% PROBLEM:  First, we should note that there is no 'good' way
% to draw arrows in MATLAB, unless the map is evenly spaced in
% the x and y directions.  Unless the grid is evenly spaced, 
% the arrow length will not be correct - there's no way around
% that.
%

isheld = ishold;
if ~isheld; hold on; end;

if nargin < 6; type = '-k'; end

%  Get x and y limits


q1 = text(xtext,ytext,sprintf('Scale: %1.4g m/s = ',u),'FontSize',6)
set(q1, 'HorizontalAlignment', 'right');
q2 = quiver_scale(xarrow,ytext,u,0,scale,type);
set(q2,'Clipping','off')
if nargout == 1;
  q = [q1; q2];
end

if ~isheld; hold off; end; 
