function h = vline ( x, linetype, y, zdat ) ;
% function h = vline ( x, linetype, y, zdat ) ;
%
% simple function to draw a vertical line across a given x-coorinate
 
%---------------------------------------------- Alexis Lau (May 1991)

% push_hold('on');

if (nargin<2); linetype = '-'; end;
if (nargin<4); zdat = [zeros(length(x), 1) zeros(length(x), 1)]; end;

if ismap(gca);
  if (nargin<3); y = getm(gca,'maplatlimit'); end;
  for i = 1:length(x)
    h(i) = plot3m([x(i) x(i)],y,zdat(i,:),linetype);
    set(h(i), 'LineWidth', 0.5);
  end;
else
  if (nargin<3); y = get(gca,'ylim'); end;
  for i = 1:length(x)
    h(i) = plot3([x(i) x(i)],y,zdat(i,:),linetype);
    set(h(i), 'LineWidth', 0.5);
  end;
end
 
% pop_hold ;
