%  This routine defines the CTI, and saves it so it can be easily read
%  later on.

%  Load data
ncep
[cti_tem, lat_tem, lon_tem] = getnc2( ...
    'skt.mon.mean.nc', 'skt', [180 270 -6 6], 1, 'all');
popd

%  Define index
cti_tem = cosweight(cti_tem, lat_tem);
wgt_tem = cosweight(ones([2, size(cti_tem, 2), ...
		    size(cti_tem, 3)]), lat_tem);
cti_tem = squeeze(sum(sum(shiftdim(cti_tem, 1))) / ...
		  sum(sum(squeeze(wgt_tem(1,:,:)))));

%  Redefine, for saving
cti_anncyc = cti_tem;
cti = annave(cti_tem);
yr = repmat(NaN, size(cti));
for i = 1:length(cti);
  yr(i) = 1948+(i-1)*1/12;
end

date_defined = date;

%  Save results
pushd /Users/dvimont/matlab/IO_Tools/Data
save cti_current.mat cti cti_anncyc yr date_defined
popd
