function h = drawbox(lims, sty);
%
%  h = drawbox(lims, sty);
%
%  lims = [xmin xmax ymin ymax];
%  sty = line style (default is '-k');
%

if nargin == 1; sty = '-k'; end;

x = [lims(1)*ones(1, (lims(4)-lims(3)+1))];
x = [x lims(1):lims(2)];
x = [x lims(2)*ones(1, (lims(4)-lims(3)+1))];
x = [x lims(2):-1:lims(1)];

y = [lims(3):lims(4)];
y = [y lims(4)*ones(1, (lims(2)-lims(1)+1))];
y = [y lims(4):-1:lims(3)];
y = [y lims(3)*ones(1, (lims(2)-lims(1)+1))];

[xx, yy] = mfwdtran(y, x, 'line');

h1 = line(xx, yy);
set(h1, 'color', sty(end), 'linestyle', sty(1:(end-1)));
if nargout == 1;
  h = h1;
end

