function hh = map_axis(mstyle, origin, frme);
%
%  hh = map_axis(mstyle, origin, frme);
%
%  mstyle = Map style (type maps)
%  origin = origin for the map (set to [] for default)
%  frme = Frame.  Default is global variable FRAME
%

%  Dan Vimont, 23 July, 2001

%  First, determine if hold is 'on', or 'off'.

next_ax = lower(get(gca, 'NextPlot'));
if strcmp(next_ax, 'replace');  cla;  end;

%  Get the global varaibles XAX YAX and FRAME

global XAX YAX FRAME

if nargin < 1; mstyle = 'mollweid'; end;
if nargin < 2; origin = []; end;
if nargin < 3; frme = FRAME; end;

%  Define map axis:
hh = axesm('mapprojection', mstyle, ...
           'origin', origin, ...
           'maplatlimit', frme(3:4), ...
           'maplonlimit', frme(1:2));

set(gca, 'NextPlot', next_ax);
