function [ x, y ] = sph_grad ( z, ax, ay ) ;
% function [ x, y ] = sph_grad ( z, ax, ay ) ;
%
% assume ax and ay specified in degree;
%
% see also : sph_grad, sph_div, sph_curl, sph_gradx, sph_grady

  global RADUS RADIAN DEGREE

  [ny,nx] = size(z);
  if ( nx*ny ~= length(ay)*length(ax) );
    error ( 'dimension mismatch' );
  else
    ax = ax(:)'; ay = ay(:)';
  end;

%--------------------------------------------------------

  rx = ax * RADIAN; ry = ay * RADIAN;

  x = sph_gradx ( z, rx, ry );
  y = sph_grady ( z, rx, ry, 0 );
