function [dfdy, ryout] = sph_grady1(data, ry, rx, icos);
% [dfdy, ry2] = sph_grady1(data, ry, rx, icos);
%
% if icos = TRUE; use operator : 1/cos d/dy cos
%           else  use operator :       d/dy
%
%  assume rx and ry specified in radians;
%
%  SEE : sph_gradx1, sph_div1, sph_curl1

global RADUS RADIAN DEGREE

[nry, nrx] = size(data);

if nargin < 2
  ry = 1:nry;
  rx = 1:nrx;
  icos = 0;
elseif nargin < 4;
  icos = 1;
end

if size(ry, 1) == 1;
  ry = ry';
end

ry2 = mean([ry(1:(nry-1))'; ry(2:nry)'])';

ady = RADUS * diff(ry) * ones(1, nrx);
if icos
  cosy = cos(ry) * ones(1, nrx);
  data = cosy .* data;
  cosy = cos(ry2) * ones(1, nrx);
  acosdy = cosy .* ady;
  dfdy = diff(data) ./ acosdy;
else
  dfdy = diff(data) ./ ady;
end

if nargout == 2;
  ryout = ry2;
end
