clean

%  Reproduce figure 4 from BB98

i = sqrt(-1);

%  Define standard parameter set
omega = 10.^[-4:.01:-1]/(24*3600);
gama = 1e7;
gamo = 2e8;
lamsa = 23.9;
lamso = 23.4;
lama = 2.8;
lamo = 1.9;
lam = 20;
c = 1;
b = 0.5;
Namp = 1;

%  Naming conventions
sig = gama*omega/lamsa;
a = lama/lamsa+c;
d = lamo/lamso+1;
beta = (gamo/gama)*(lamsa/lamso);
alpha = b*c;

siga = (i*sig+a);
sigo = (i*beta*sig+d);

%  Power spectra

pac = abs(sigo).^2*Namp^2./abs(siga.*sigo-alpha).^2;
poc = c^2*Namp^2./abs(siga.*sigo-alpha).^2;

omega2 = omega*24*3600;
figure_tall(1);
subplot(2,1,1);
  pp = semilogx(omega2, pac, 'k', omega2, poc, 'k');
  set(pp(1), 'linewidth', 2);
  
%  Integrate the model

M = [-lamsa*a/gama lamsa*b/gama; lamso*c/gamo -lamso*d/gamo];
M2 = [-a b; c -d];

ntim = 1e5;
T = zeros(2,ntim);
N = randn(1, ntim);

for ind = 2:ntim; 
  T(:,ind) = T(:,ind-1)+1*M2*T(:,ind-1)+N(ind-1);
end

