function [x, clim] = climave(sst, clim, plusorminus);
%
%   [x, clim] = climave(y);
%
%   x = matrix with annual average removed
%   y = input matrix
%   clim = climatology
%
[tmax,ngrid]=size(sst);
if nargin < 2; 
  plusorminus=-1;
  for m=1:12
    clim(m,:)=mean2(sst(m:12:(tmax),:));
  end
%  save clim.mat clim
end;
x=zeros(tmax,ngrid);
for m=1:tmax;
  l=rem(m-1,12)+1;
  x(m,:)=sst(m,:)+plusorminus*clim(l,:);
end
