function [ccoef, sig_pat] = corr_sig(x, y, sig_lev);
%
%  [ccoef, sig_pat] = corr_sig(x, y, sig_lev);
%

if nargin == 2;
  sig_lev = 2.5;
end;

ccoef = corr2(x, y);

if nargout == 2;
  dof = dof_corr(x, y);
  t = ccoef .* (sqrt(dof - 2)) ./ sqrt(1 - ccoef.^2);

  kp = find(~isnan(t));
  sig_pat = repmat(NaN, size(ccoef));
  for i = 1:length(kp);
    if ~isnan(ccoef(kp(i)));
      score = tscore(dof(kp(i)), sig_lev);
      sig_pat(kp(i)) = (abs(t(kp(i))) >= score);
    end
  end

end;
