function er=north(s,dat);
%
%   er=north(s,dat);
%  
%   er  = error range on the eigenvalues in 's'
%   s   = eigenvalues from EOF or SVD analysis (from covariance mat)
%   dat = original data from which covariance matrix came.
%
[m,n] = size(dat);
alpha = zeros(1,n);
for i = 1:m-2;
  alpha(1,i) = 0.5*(dat(i,:)*dat(i+1,:)' + sqrt(dat(i,:)*dat(i+2,:)'));
end;
alpha = mean(alpha);
nstar = -1*(m-2)*(log(alpha)/2);
er = (s.^2)*sqrt(2/nstar);

