function ret_fig = clf(varargin)
%CLF Clear current figure.
%   CLF deletes all children of the current figure with visible handles.
%
%   CLF RESET deletes all children (including ones with hidden
%   handles) and also resets all figure properties, except Position
%   and Units, to their default values.
%
%   See also CLA, RESET, HOLD.

%   CLF(..., HSAVE) deletes all children except those specified in
%   HSAVE.
%
%   Copyright 1984-2000 The MathWorks, Inc. 
%   $Revision: 5.20 $  $Date: 2000/06/01 02:54:17 $

clo(gcf, varargin{:});

% cause a complete redraw of the figure, so that movie frame remnants
% are cleared as well
refresh

% now that IntegerHandle can be changed by reset, make sure
% we're returning the new handle:
if (nargout ~= 0)
    ret_fig = gcf;
end
