function [maxind, minind] = maxmin(x);
%
%  [maxind, minind] = maxmin(x);
%
%  This function returns the location of the minimum and maximum 
%  values in a matrix x.
%

szx = size(x);
nd = length(szx(szx ~= 1));

maxind = repmat(NaN, [1, nd]);
minind = maxind;

[minx, maxx] = range(x);
tem1 = x;
tem2 = x;

if nd > 1;

for i = 1:(nd-1);

  tem1 = reshape(tem1, [szx(i) prod(szx((i+1):nd))]);
  tem2 = reshape(tem2, [szx(i) prod(szx((i+1):nd))]);
 
  maxind(i) = find(max(tem1') == maxx);
  minind(i) = find(min(tem2') == minx);

  tem1 = tem1(maxind(i), :);
  tem2 = tem2(minind(i), :);

end

end

maxind(nd) = find(tem1 == maxx);
minind(nd) = find(tem2 == minx);

